Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media
Class FormatKey<T>

    java.lang.Object
      org.monte.media.FormatKey<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

    public class FormatKey<T>

extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

A FormatKey provides type-safe access to an attribute of a `Format`.

A format key has a name, a type and a value.

Version:
  $Id: FormatKey.java 186 2012-03-28 11:18:42Z werner $
Author:
  Werner Randelshofer
See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`FormatKey(java.lang.String key, java.lang.Class<T> clazz)` Creates a new instance with the specified attribute key, type token class, default value null, and allowing null values.
`FormatKey(java.lang.String key, java.lang.String name, java.lang.Class<T> clazz)` Creates a new instance with the specified attribute key, type token class, default value null, and allowing null values.

Method Summary
`int` | `compareTo(FormatKey that)`
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getKey()` Returns the key string.
`java.lang.String` | `getName()` Returns the pretty name string.
`java.lang.Class` | `getValueClass()`
`boolean` | `isAssignable(java.lang.Object value)` Returns true if the specified value is assignable with this key.
`java.lang.String` | `toString()` Returns the key string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### FormatKey

    public FormatKey(java.lang.String key,
                     java.lang.Class<T> clazz)

  Creates a new instance with the specified attribute key, type token class, default value null, and allowing null values.

### FormatKey

    public FormatKey(java.lang.String key,
                     java.lang.String name,
                     java.lang.Class<T> clazz)

  Creates a new instance with the specified attribute key, type token class, default value null, and allowing null values.

Method Detail

### getKey

    public java.lang.String getKey()

  Returns the key string.

  Returns:
    key string.

### getName

    public java.lang.String getName()

  Returns the pretty name string.

  Returns:
    name string.

### toString

    public java.lang.String toString()

  Returns the key string.

  Overrides:
    `toString` in class `java.lang.Object`

### isAssignable

    public boolean isAssignable(java.lang.Object value)

  Returns true if the specified value is assignable with this key.

  Parameters:
    `value` -
  Returns:
    True if assignable.

### getValueClass

    public java.lang.Class getValueClass()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### compareTo

    public int compareTo(FormatKey that)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD